/*
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.0 (the "License"); you may not use this file except in compliance 
 * with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, 
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License 
 * for the specific language governing rights and limitations under the License. 
 * 
 * The Original Code is the roamd Version 0.1 code,
 * released on or about December 4, 1998.
 * 
 * The Initial Developer of the Original Code is John Richard Stracke,
 * Jr.  Portions created by John Richard Stracke, Jr. are Copyright (C)
 * John Richard Stracke, Jr. All Rights Reserved. 
 * 
 * Contributor(s): ______________________________________. 
 */
#ifndef ROAMD_USERS_H
#define ROAMD_USERS_H

#include "ident.h"
IDENTIFY(ROAMD_USERS_H,"$Id: users.h,v 1.5 1998/12/06 20:02:22 francis Exp $")

/*
 * Declares function(s) to build the list of authorized users.
 *
 * $Revision: 1.5 $
 * $Author: francis $
 * $Date: 1998/12/06 20:02:22 $
 *
 * $Log: users.h,v $
 * Revision 1.5  1998/12/06 20:02:22  francis
 * Adding ident lines
 *
 * Revision 1.4  1998/12/04 22:03:27  francis
 * Adding license terms to the source files.
 * Adding tryCrypt and tryCrypt.o to the clean target.
 * Deleting tryCrypt from the repository.
 * Adding Index.html and license.html.  Linking to license.html from
 * readme.html.  A bit of cosmetic work in readme.html.
 *
 * Revision 1.3  1998/12/04 20:02:41  francis
 * Fixing initUsers() to be cheap to call a second time
 *
 * Revision 1.2  1998/12/04 20:01:03  francis
 * Adding documentation headers and comments
 *
 */

/*
 * Given the directory under which user profiles are stored (in the default
 *  configuration, "/etc/roamd/users"), returns a 0-terminated array of
 *  usernames.  The array is terminated by 0.  If this function is
 *  called twice, the second time it will return the same array without
 *  rebuilding it.
 */
const char** initUsers(const char* userDir);

#endif /*ROAMD_USERS_H*/
